Bug 1064602 - Invalid patch: xrdp-fate319683-allow-vnc-resizing.patch
Invalid patch: xrdp-fate319683-allow-vnc-resizing.patch
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Felix Zhang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-23 09:13 UTC by Koichiro IWAO
Modified: 2018-04-04 03:20 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro IWAO 2017-10-23 09:13:46 UTC
Hi, I'm from xrdp upstream.

I'd like to merge your patches into upstream if worth enough.  I've found a invalid patch when I was looking at your patches to find out worthy patches. The patch is xrdp-fate319683-allow-vnc-resizing.patch. The patch adds call of lib_recv() function defined nowhere.  Where did the patch come from? I think you should use -Werror to test the build of packages.

BTW, I like your avahi patch. The feature is very nice.
Comment 1 Felix Zhang 2017-10-24 09:56:39 UTC
Hi metalefty,
It's a great pleasure to see you here. :-)
Sorry, the patch was based on an earlier git snapshot before the 0.9.x releases and not rebased / enabled for Tumbleweed yet. Thank you very much for pointing that out, I will update it as soon as time permits.
And I also will sure be happy if the avahi patch gets merged into upstream. Maybe either you or me could try to push it there? Let's discuss. :-)
Comment 2 Koichiro IWAO 2017-10-25 01:47:22 UTC
Regarding vnc resizing, I was planning another kind of VNC resizing to enable resizing server session like xorgxrdp.
https://github.com/neutrinolabs/xrdp/issues/259

The vnc resizing patch in the oSUSE repo looks to be doing resizing client window to match existing server session size. If I implement VNC resizing to xrdp, I like the former way rather than your patch's way. Anyway, to rebase the patch to the latest xrdp, use trans_force_read_s() function instead of lib_recv(). It will work.

Regarding avahi, maybe there's some problem to merge. One is the license.
xrdp is licensed under GPLv2 before however xrdp switched the license to Apache License 2.0 in 2012. Maybe as avahi patch made before the license change, it has GPLv2. To merge it into upstream, we need to contact the copyright holder and get agreement to change the license. 
 The other one is coding standard. Current xrdp-avahi code does not match our coding standard but it is easily fixed. It is a trivial problem.
Comment 5 Felix Zhang 2018-04-04 03:20:22 UTC
Fixed patch checked in.